APP_NAME = NHCarrigan
RUN_MODE = prod
RUN_USER = git
WORK_PATH = /data/gitea

[admin]
DISABLE_REGULAR_ORG_CREATION=true

[repository]
ROOT = /data/git/repositories
MAX_CREATION_LIMIT = 0
ALLOW_FORK_WITHOUT_MAXIMUM_LIMIT =  false

[repository.local]
LOCAL_COPY_PATH = /data/gitea/tmp/local-repo

[repository.upload]
TEMP_PATH = /data/gitea/uploads

[server]
APP_DATA_PATH = /data/gitea
DOMAIN = git.nhcarrigan.com
SSH_DOMAIN = git.nhcarrigan.com
HTTP_PORT = 3000
ROOT_URL = https://git.nhcarrigan.com/
DISABLE_SSH = false
SSH_PORT = 22
SSH_LISTEN_PORT = 22
LFS_START_SERVER = true
LFS_JWT_SECRET = 
OFFLINE_MODE = true
MAX_GIT_UPLOAD_SIZE = 5000

[database]
PATH = /data/gitea/gitea.db
DB_TYPE = sqlite3
HOST = localhost:3306
NAME = gitea
USER = root
PASSWD =
LOG_SQL = false
SCHEMA =
SSL_MODE = disable

[indexer]
ISSUE_INDEXER_PATH = /data/gitea/indexers/issues.bleve

[session]
PROVIDER_CONFIG = /data/gitea/sessions
PROVIDER = file

[picture]
AVATAR_UPLOAD_PATH = /data/gitea/avatars
REPOSITORY_AVATAR_UPLOAD_PATH = /data/gitea/repo-avatars
AVATAR_MAX_FILE_SIZE = 5242880

[attachment]
PATH = /data/gitea/attachments

[log]
MODE = console
LEVEL = info
ROOT_PATH = /data/gitea/log

[security]
INSTALL_LOCK = true
SECRET_KEY =
REVERSE_PROXY_LIMIT = 1
REVERSE_PROXY_TRUSTED_PROXIES = *
INTERNAL_TOKEN = eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJuYmYiOjE3Mzc1NzgzMzl9.RU-_Fbr2ONiw-F2mADFaWwvXXVsQezy5jjgSQNE61sg
PASSWORD_HASH_ALGO = pbkdf2

[service]
DISABLE_REGISTRATION = true
REQUIRE_SIGNIN_VIEW = false
REGISTER_EMAIL_CONFIRM = false
REGISTER_MANUAL_CONFIRM = true
ENABLE_NOTIFY_MAIL = false
ALLOW_ONLY_EXTERNAL_REGISTRATION = false
ENABLE_CAPTCHA = true
CAPTCHA_TYPE = recaptcha
RECAPTCHA_SECRET = 
RECAPTCHA_SITEKEY = 
DEFAULT_KEEP_EMAIL_PRIVATE = false
DEFAULT_ALLOW_CREATE_ORGANIZATION = false
DEFAULT_ENABLE_TIMETRACKING = true
NO_REPLY_ADDRESS = noreply.nhcarrigan.com
DEFAULT_USER_IS_RESTRICTED = true

[lfs]
PATH = /data/git/lfs

[mailer]
ENABLED = true
FROM = noreply@nhcarrigan.com
PROTOCOL = smtps
SMTP_ADDR = mail.nhcarrigan.com
SMTP_PORT = 465
USER = noreply@nhcarrigan.com
PASSWD = `PhBY8Ag4XcNh`

[openid]
ENABLE_OPENID_SIGNIN = false
ENABLE_OPENID_SIGNUP = false

[cron.update_checker]
ENABLED = true

[repository.pull-request]
DEFAULT_MERGE_STYLE = squash

[repository.signing]
DEFAULT_TRUST_MODEL = committer

[oauth2]
JWT_SECRET = 

[ui]
DEFAULT_THEME = witch
THEMES = trans-pride,trans-pride-dark,witch